Index: src/sas/qtgui/MainWindow/DataManager.py
===================================================================
--- src/sas/qtgui/MainWindow/DataManager.py	(revision 7d9c83c92cef3381669815551c3850802b12abf0)
+++ src/sas/qtgui/MainWindow/DataManager.py	(revision 7d9c83c92cef3381669815551c3850802b12abf0)
@@ -86,5 +86,5 @@
         #creating a name for data
         title = ""
-        file_name = os.path.basename(path) if path is not None else data.filename
+        file_name = os.path.basename(path) if path is not None else os.path.basename(data.filename)
         if file_name:
             name = file_name
@@ -100,5 +100,8 @@
             title = file_name
 
-        if new_plot.filename.strip() == "":
+        stripped_filename = new_plot.filename.strip()
+        if not stripped_filename:
+            new_plot.filename = file_name
+        if stripped_filename != os.path.basename(stripped_filename):
             new_plot.filename = file_name
 
Index: src/sas/qtgui/MainWindow/UnitTesting/DataExplorerTest.py
===================================================================
--- src/sas/qtgui/MainWindow/UnitTesting/DataExplorerTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
+++ src/sas/qtgui/MainWindow/UnitTesting/DataExplorerTest.py	(revision 464cd0702ca4f47ed61d237d9acecd5975d8abac)
@@ -25,6 +25,6 @@
 import sas.qtgui.Plotting.PlotHelper as PlotHelper
 
-if not QApplication.instance():
-    app = QApplication(sys.argv)
+#if not QApplication.instance():
+app = QApplication(sys.argv)
 
 class DataExplorerTest(unittest.TestCase):
@@ -150,5 +150,5 @@
 
         # Populate the model
-        filename = ["cyl_400_20.txt", "Dec07031.ASC", "cyl_400_20.txt"]
+        filename = ["cyl_400_20.txt", "P123_D2O_10_percent.dat", "cyl_400_20.txt"]
         self.form.readData(filename)
 
@@ -170,6 +170,10 @@
 
         # Populate the model
-        filename = ["cyl_400_20.txt", "Dec07031.ASC", "cyl_400_20.txt"]
+        #filename = ["cyl_400_20.txt", "P123_D2O_10_percent.dat", "cyl_400_20.txt"]
+        filename = ["cyl_400_20.txt", "cyl_400_20.txt", "P123_D2O_10_percent.dat"]
         self.form.readData(filename)
+
+        self.form.show()
+        app.exec_()
 
         # Assure the model contains three items
@@ -319,5 +323,5 @@
         """
         # Populate the model with 1d and 2d data
-        filename = ["cyl_400_20.txt", "Dec07031.ASC"]
+        filename = ["cyl_400_20.txt", "P123_D2O_10_percent.dat"]
         self.form.readData(filename)
 
@@ -469,7 +473,7 @@
 
         defaults = 'All (*.*);;canSAS files (*.xml);;SESANS files' +\
-            ' (*.ses);;ASCII files (*.txt);;IGOR 2D files (*.asc);;' +\
+            ' (*.ses);;ASCII files (*.txt);;' +\
             'IGOR/DAT 2D Q_map files (*.dat);;IGOR 1D files (*.abs);;'+\
-            'HFIR 1D files (*.d1d);;DANSE files (*.sans);;NXS files (*.nxs)'
+            'DANSE files (*.sans)'
         default_list = defaults.split(';;')
 
@@ -525,5 +529,5 @@
         p_file="cyl_400_20.txt"
         output_object = loader.load(p_file)
-        new_data = [manager.create_gui_data(output_object, p_file)]
+        new_data = [manager.create_gui_data(output_object[0], p_file)]
 
         # Mask retrieval of the data
@@ -556,7 +560,7 @@
 
         # get Data2D
-        p_file="Dec07031.ASC"
+        p_file="P123_D2O_10_percent.dat"
         output_object = loader.load(p_file)
-        new_data = [manager.create_gui_data(output_object, p_file)]
+        new_data = [manager.create_gui_data(output_object[0], p_file)]
 
         # Mask retrieval of the data
@@ -594,5 +598,5 @@
         output_object = loader.load(p_file)
         output_item = QtGui.QStandardItem()
-        new_data = [(output_item, manager.create_gui_data(output_object, p_file))]
+        new_data = [(output_item, manager.create_gui_data(output_object[0], p_file))]
 
         # Mask plotting
@@ -737,5 +741,5 @@
 
         # get Data2D
-        p_file=["Dec07031.ASC"]
+        p_file=["P123_D2O_10_percent.dat"]
         # Read in the file
         output, message = self.form.readData(p_file)
@@ -754,5 +758,5 @@
         QFileDialog.getSaveFileName.assert_called_with(
                                 caption="Save As",
-                                directory='Dec07031_out.dat',
+                                directory='P123_D2O_10_percent_out.dat',
                                 filter='IGOR/DAT 2D file in Q_map (*.dat)',
                                 parent=None)
@@ -782,5 +786,5 @@
         """
         # get Data1D
-        p_file=["Dec07031.ASC"]
+        p_file=["P123_D2O_10_percent.dat"]
         # Read in the file
         output, message = self.form.readData(p_file)
